*
* Generic pentode model: 6AK5_P
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* 5654/6AK5/6J1 SPICE Models (Pentode)
* Version 3.10, Generated on Wed Feb 03 16:24:50 2016
*               Plate
*               | Screen Grid
*               | |  Control Grid
*               | |  |  Cathode
*               | |  |  |
.SUBCKT 6AK5_P  A G2 G1 K
BGG   GG   0 V=V(G1,K)+0.2564934
BM1   M1   0 V=(0.020250832*(URAMP(V(G2,K))+1e-10))**-1.0936778
BM2   M2   0 V=(0.57832935*(URAMP(V(GG)+URAMP(V(G2,K))/20.822386)))**2.5936778
BP    P    0 V=0.0042701484*(URAMP(V(GG)+URAMP(V(G2,K))/36.004374))**1.5
BIK   IK   0 V=U(V(GG))*V(P)+(1-U(V(GG)))*0.0030226533*V(M1)*V(M2)
BIG   IG   0 V=0.0021350742*URAMP(V(G1,K))**1.5*(URAMP(V(G1,K))/(URAMP(V(A,K))+URAMP(V(G1,K)))*1.2+0.4)
BIK2  IK2  0 V=V(IK,IG)*(1-0.4*(EXP(-URAMP(V(A,K))/URAMP(V(G2,K))*15)-EXP(-15)))
BIG2T IG2T 0 V=V(IK2)*(0.76634978*(1-URAMP(V(A,K))/(URAMP(V(A,K))+10))**1.5+0.23365022)
BIK3  IK3  0 V=V(IK2)*(URAMP(V(A,K))+3705)/(URAMP(V(G2,K))+3705)
BIK4  IK4  0 V=V(IK3)-URAMP(V(IK3)-(0.002314205*(URAMP(V(A,K))+URAMP(URAMP(V(G2,K))-URAMP(V(A,K))))**1.5))
BIP   IP   0 V=URAMP(V(IK4,IG2T)-URAMP(V(IK4,IG2T)-(0.002314205*URAMP(V(A,K))**1.5)))
BIAK  A    K I=V(IP)+1e-10*V(A,K)
BIG2  G2   K I=URAMP(V(IK4,IP))
BIGK  G1   K I=V(IG)
* CAPS
CGA   G1  A  0.02p
CGK   G1  K  2.6p
C12   G1  G2 1.7p
CAK   A   K  2.4p
.ENDS
